Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.ResponseTag

java.lang.Object
java.lang.Enum<Protocol.ResponseTag>
com.google.javascript.jscomp.webservice.common.Protocol.ResponseTag

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.ResponseTag>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.ResponseTag extends Enum<Protocol.ResponseTag> implements Protocol.ProtocolEnum
All the xml/json tags that can be returned by the backend if xml or json is selected as the output mode.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPILE_TIME_TAG`
`COMPILED_CODE_TAG`
`COMPRESSED_GZIP_SIZE_TAG`
`COMPRESSED_SIZE_TAG`
`ERROR_CHAR_ATTR`
`ERROR_FILE_ATTR`
`ERROR_LINE_ATTR`
`ERROR_LINE_NO_ATTR`
`ERROR_TAG`
`ERROR_TYPE_ATTR`
`ERRORS_TAG`
`NEW_NAME_ATTR`
`ORIGINAL_GZIP_SIZE_TAG`
`ORIGINAL_NAME_ATTR`
`ORIGINAL_SIZE_TAG`
`OUTPUT_FILE_PATH`
`ROOT_TAG`
`SERVER_ERROR_CODE_ATTR`
`SERVER_ERROR_TAG`
`SERVER_ERRORS_TAG`
`STATS_TAG`
`VARIABLE_MAP`
`VARIABLE_MAP_ENTRY`
`WARNING_TAG`
`WARNINGS_TAG`

## Method Summary

Modifier and Type
Method
Description
`String`
`getResponseTag()`
`String`
`getValue()`
`String`
`toString()`
`static Protocol.ResponseTag`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.ResponseTag[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROOT_TAG

public static final Protocol.ResponseTag ROOT_TAG

### COMPILED_CODE_TAG

public static final Protocol.ResponseTag COMPILED_CODE_TAG

### WARNINGS_TAG

public static final Protocol.ResponseTag WARNINGS_TAG

### WARNING_TAG

public static final Protocol.ResponseTag WARNING_TAG

### ERRORS_TAG

public static final Protocol.ResponseTag ERRORS_TAG

### ERROR_TAG

public static final Protocol.ResponseTag ERROR_TAG

### ERROR_LINE_NO_ATTR

public static final Protocol.ResponseTag ERROR_LINE_NO_ATTR

### ERROR_LINE_ATTR

public static final Protocol.ResponseTag ERROR_LINE_ATTR

### ERROR_CHAR_ATTR

public static final Protocol.ResponseTag ERROR_CHAR_ATTR

### ERROR_FILE_ATTR

public static final Protocol.ResponseTag ERROR_FILE_ATTR

### ERROR_TYPE_ATTR

public static final Protocol.ResponseTag ERROR_TYPE_ATTR

### STATS_TAG

public static final Protocol.ResponseTag STATS_TAG

### ORIGINAL_SIZE_TAG

public static final Protocol.ResponseTag ORIGINAL_SIZE_TAG

### ORIGINAL_GZIP_SIZE_TAG

public static final Protocol.ResponseTag ORIGINAL_GZIP_SIZE_TAG

### COMPRESSED_SIZE_TAG

public static final Protocol.ResponseTag COMPRESSED_SIZE_TAG

### COMPRESSED_GZIP_SIZE_TAG

public static final Protocol.ResponseTag COMPRESSED_GZIP_SIZE_TAG

### COMPILE_TIME_TAG

public static final Protocol.ResponseTag COMPILE_TIME_TAG

### SERVER_ERRORS_TAG

public static final Protocol.ResponseTag SERVER_ERRORS_TAG

### SERVER_ERROR_TAG

public static final Protocol.ResponseTag SERVER_ERROR_TAG

### SERVER_ERROR_CODE_ATTR

public static final Protocol.ResponseTag SERVER_ERROR_CODE_ATTR

### VARIABLE_MAP

public static final Protocol.ResponseTag VARIABLE_MAP

### VARIABLE_MAP_ENTRY

public static final Protocol.ResponseTag VARIABLE_MAP_ENTRY

### ORIGINAL_NAME_ATTR

public static final Protocol.ResponseTag ORIGINAL_NAME_ATTR

### NEW_NAME_ATTR

public static final Protocol.ResponseTag NEW_NAME_ATTR

### OUTPUT_FILE_PATH

public static final Protocol.ResponseTag OUTPUT_FILE_PATH

## Method Details

### values

public static Protocol.ResponseTag[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.ResponseTag valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getResponseTag

public String getResponseTag()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Protocol.ResponseTag>`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.